import matplotlib.pyplot as plt
import numpy as np
from smartgrid.agents.profile.comfort import (flexible_comfort_profile,
                                              neutral_comfort_profile,
                                              strict_comfort_profile)
x = np.linspace(0, 1, 100)
y1 = [flexible_comfort_profile(xi, 1) for xi in x]
plt.plot(x, y1, label='flexible')
y2 = [neutral_comfort_profile(xi, 1) for xi in x]
plt.plot(x, y2, label='neutral')
y3 = [strict_comfort_profile(xi, 1) for xi in x]
plt.plot(x, y3, label='strict')
plt.grid(visible=True, axis='both')
plt.legend(title='Comfort function')
plt.show()